### Method

# FwupdPlugin Efivars set_boot_data

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_efivars_set_boot_data (
      FuEfivars* self,
      guint16 idx,
      GBytes* blob,
      GError** error
    )

#### Description [src]

Sets the raw data of the `BootXXXX` variable. If `blob` is `NULL` then the boot entry is deleted.

Available since: 2.0.0

#### Parameters

`idx`

  Type: `guint16`

  Boot index, typically 0x0001.

`blob`

  Type: `GBytes`

  `GBytes`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.